Bug 891794 - (CVE-2012-6497) CVE-2012-6497 rubygem-authlogic: potential unsafe find_by_id method calls
CVE-2012-6497 rubygem-authlogic: potential unsafe find_by_id method calls
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121221,repor...
: Security
Depends On: 891796
Blocks: 889650
  Show dependency treegraph
 
Reported: 2013-01-03 21:34 EST by Vincent Danen
Modified: 2014-06-24 18:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-24 18:51:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-01-03 21:34:56 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-6497 to
the following vulnerability:

Name: CVE-2012-6497
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-6497
Assigned: 20130103
Reference: http://openwall.com/lists/oss-security/2013/01/03/12
Reference: http://blog.phusion.nl/2013/01/03/rails-sql-injection-vulnerability-hold-your-horses-here-are-the-facts/
Reference: http://phenoelit.org/blog/archives/2012/12/21/let_me_github_that_for_you/index.html

The Authlogic gem for Ruby on Rails, when used with certain versions
before 3.2.10, makes potentially unsafe find_by_id method calls, which
might allow remote attackers to conduct CVE-2012-6496 SQL injection
attacks via a crafted parameter in environments that have a known
secret_token value, as demonstrated by a value contained in
secret_token.rb in an open-source product.
Comment 1 Vincent Danen 2013-01-03 21:43:48 EST
Created rubygem-authlogic tracking bugs for this issue

Affects: fedora-all [bug 891796]

Note You need to log in before you can comment on or make changes to this bug.